Package htsjdk.samtools.sra

# Class SRAUtils

java.lang.Object
htsjdk.samtools.sra.SRAUtils

public class SRAUtils extends Object
Provides some functionality which can be used by other classes Created by andrii.nikitiuk on 10/28/15.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`REFERENCE_ALIGNMENT`
References are stored in SRA table in chunks of 5k bases per row, while last chunk of a reference is less or equal than 5k bases in size (even if the next reference follows).

## Constructor Summary

Constructors
Constructor
Description
`SRAUtils()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`getNumberOfReads(ngs.ReadCollection run)`
Is used to build RecordRangeInfo
`static List<Long>`
`getReferencesLengthsAligned(ngs.ReadCollection run)`
Loads reference lengths from a read collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE_ALIGNMENT

public static final int REFERENCE_ALIGNMENT
References are stored in SRA table in chunks of 5k bases per row, while last chunk of a reference is less or equal than 5k bases in size (even if the next reference follows). So, it will be optimal if we align reference sizes to 5k bases to read by reference rows.

See Also:
  - Constant Field Values

## Constructor Details

### SRAUtils

public SRAUtils()

## Method Details

### getNumberOfReads

public static long getNumberOfReads(ngs.ReadCollection run) throws ngs.ErrorMsg
Is used to build RecordRangeInfo

Parameters:
  `run` - open read collection
Returns:
  total number of reads (both aligned and unaligned) in SRA archive
Throws:
  `ngs.ErrorMsg`

### getReferencesLengthsAligned

public static List<Long> getReferencesLengthsAligned(ngs.ReadCollection run) throws ngs.ErrorMsg
Loads reference lengths from a read collection. Aligns reference lengths by REFERENCE_ALIGNMENT bases for optimal loads of alignments (references are stored in REFERENCE_ALIGNMENT bases chunks in SRA table) Is used to build RecordRangeInfo

Parameters:
  `run` - single opened read collection
Returns:
  list with references lengths
Throws:
  `ngs.ErrorMsg`